Bug 186201 - tftp crashes on ^C
tftp crashes on ^C
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tftp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Maros Barabas
David Lawrence
: 191029 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-22 02:44 EST by John Newbigin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0659
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-14 00:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
tftp-hpa-0.42-sigjmp.patch (403 bytes, patch)
2006-03-22 06:11 EST, Radek Vokal
no flags Details | Diff

  None (edit)
Description John Newbigin 2006-03-22 02:44:01 EST
Description of problem:
tftp crashes

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Start tftp with no host name
2. Enter a host name
3. When looking at the tftp> prompt press ^C

Actual results:
$ tftp
(to) localhost
*** glibc detected *** double free or corruption (fasttop): 0x08b8b9c0 ***

Expected results:
Same as if tftp is started with a host name on the command line (I assume abort
the current operation)

Additional info:
Comment 1 John Newbigin 2006-03-22 02:46:20 EST
At first I though the problem was only if you did not specify a host name, but
now I think it only crashes if you press ^C after you have entered a line of input.

$ tftp localhost
tftp> help
tftp-hpa 0.39
Commands may be abbreviated.  Commands are:

connect         connect to remote tftp
mode            set file transfer mode
put             send file
get             receive file
quit            exit tftp
verbose         toggle verbose mode
trace           toggle packet tracing
status          show current status
binary          set mode to octet
ascii           set mode to netascii
rexmt           set per-packet transmission timeout
timeout         set total retransmission timeout
?               print help information
help            print help information
*** glibc detected *** double free or corruption (fasttop): 0x0873be20 ***
Comment 2 Radek Vokal 2006-03-22 06:11:43 EST
Created attachment 126466 [details]

Fixed in rawhide. Adding on proposed list for RHEL
Comment 5 Radek Vokal 2006-05-08 13:57:01 EDT
*** Bug 191029 has been marked as a duplicate of this bug. ***
Comment 6 Fabio Pedretti 2006-07-11 04:44:47 EDT
> *** Bug 191029 has been marked as a duplicate of this bug. ***

But this not yet fixed in FC5...
Comment 7 Radek Vokal 2006-07-11 04:49:47 EDT
But it's fixed in FC6 .. and I don't think it's worse an update in FC5. 
Comment 8 Daniel Riek 2006-07-23 19:25:16 EDT
Is the recommendation to re-base to the version we have in FC6 or to backport?
If the plan is to re-base: are there any changes in configuration or expected
Comment 10 Maros Barabas 2006-08-19 06:35:25 EDT
The recommendation is backport - there is no new version on upstream.
Comment 14 Red Hat Bugzilla 2006-09-14 00:36:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 15 H. Peter Anvin 2006-09-27 18:59:32 EDT
Note that the patch checked in is bogus.  I have developed a proper fix and will
include in in 0.43, which I'm planning to release shortly (I'm waiting for a few
more patches.)

Now would also be a good time to throw me (a.k.a. upstream) any other patches
that you think should be included.

Note You need to log in before you can comment on or make changes to this bug.